Package Gnumed :: Package wxpython :: Module gmSoapSTCWidgets :: Class cSoapSTC |
[frames] | no frames]

# Class cSoapSTC

source code

                   gmTextCtrl.cUnicodeInsertion_TextCtrlMixin --+
                                                                |
    gmKeywordExpansionWidgets.cKeywordExpansion_TextCtrlMixin --+
                                                                |
                            cWxTextCtrlCompatibility_StcMixin --+
                                                                |
                                        wx.stc.StyledTextCtrl --+
                                                                |
                                                               cSoapSTC

Instance Methods
__init__(self, *args, **kwargs) | source code
SetText(self, *args, **kwargs) | source code
AddText(self, *args, **kwargs) | source code
AddStyledText(self, *args, **kwargs) | source code
InsertText(self, *args, **kwargs) | source code
ReplaceSelection(self, text) | source code
ReplaceTarget(self, *args, **kwargs) | source code
ReplaceTargetRE(self, *args, **kwargs) | source code
SetText_from_SOAP(self, soap=None, sort_order=None) | source code
GetText_as_SOAP(self) | source code
sort_by_SOAP(self, sort_order=None) | source code
append_soap_line(self, soap_cat) | source code
strip_trailing_whitespace_from_line(self, line) | source code
caret_coords_in_stc(self) | source code
caret_coords_on_screen(self) | source code
get_soap_marker_of_line(self, line) | source code
get_soap_cat_of_line(self, line) | source code
set_soap_cat_of_line(self, line, soap_category) | source code
check_has_all_soap_types(self) | source code
ensure_has_all_soap_types(self) | source code
marker_count(self, marker) | source code
soap_cat_count(self, soap_category) | source code
OnDestroy(self, evt) | source code
OnStartDrag(self, evt) | source code
OnDragOver(self, evt) | source code
OnDoDrop(self, evt) | source code
OnModified(self, evt) | source code
transModType(self, modType) | source code
Inherited from `gmTextCtrl.cUnicodeInsertion_TextCtrlMixin`: `mixin_insert_unicode_character` Inherited from `gmKeywordExpansionWidgets.cKeywordExpansion_TextCtrlMixin`: `attempt_expansion`, `disable_keyword_expansions`, `enable_keyword_expansions` Inherited from `cWxTextCtrlCompatibility_StcMixin`: `GetInsertionPoint`, `GetLastPosition`, `GetLineText`, `GetNumberOfLines`, `GetValue`, `IsMultiLine`, `PositionToXY`, `Replace`, `SetInsertionPoint`, `SetValue`, `ShowPosition`, `WriteText`

Class Variables
| soap = `property(GetText_as_SOAP, lambda x: x)`
| empty = `property(_get_empty, lambda x: x)`
Inherited from `cWxTextCtrlCompatibility_StcMixin`: `InsertionPoint`, `LastPosition`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: cWxTextCtrlCompatibility_StcMixin.__init__